using ProjectManagementSystem.Common.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProjectManagementSystem.UI
{
    public partial class PlcUI : DataGridUI
    {
        public PlcUI()
        {
            InitializeComponent();
        }

        public override void UpdateDisplay()
        {
            if (!this.Visible) return;

            ShowDataGrid(PlcControl.Instance.PlcDataDict.Values.ToList());
        }
    }
}

